Skip to main content
POST
Create Flight Search

Request contract

  • Method and path: POST /apis/v1/duffel/flights/offer-requests/create
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/duffel/flights/offer-requests/create
  • return_offers: query; optional
  • supplier_timeout: query; optional
  • view: query; optional
  • Runtime facts: d0ae990bcd8ea1a75abd7e4a4e47260a24ab01e5c2b9d2fcc0366eae9f069f96
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.02 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.02
  • Cost contract: fixed_success
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

return_offers
boolean
default:true

When set to true, the offer request resource returned will include all the offers returned by the airlines. If set to false, the offer request resource won't include any offers. To retrieve the associated offers later, use the List Offers endpoint, specifying the offer_request_id. You should use this option if you want to take advantage of the pagination, sorting and filtering that the List Offers endpoint provides.

Example:

false

supplier_timeout
integer
default:20000

The maximum amount of time in milliseconds to wait for each airline search to complete. This timeout applies to the response time of the call to the airline and includes some additional overhead added by Duffel. Value should be between 2 seconds and 60 seconds. Any values outside the range will be ignored and the default supplier_timeout will be used. If a value is set, the response will only include offers from airline searches that completed within the given time. If a value is not set, the response will only include offers from airline searches that completed within the default supplier_timeout value of 20 seconds. We recommend setting supplier_timeout lower than the timeout on the HTTP request you send to Duffel API as that will allow us to respond with the offers we received before your request times out with an empty response.

Example:

10000

view
enum<string>
default:offers

The format of the response. When set to offers (the default), the response includes a flat list of offers. When set to itineraries, offers are grouped into a hierarchical structure of slices, itineraries, and brands, with shared data (airlines, places, aircraft) in top-level reference maps.

Available options:
offers,
itineraries

Body

application/json
data
Body parameters · object
required

Response

Successful response